commit: a1739309177d78776ee8113f6a94051b37972c67
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 18:03:12 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 19:18:55 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1739309
dev-libs/wayland: Version bump to 1.18.91
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-libs/wayland/Manifest | 1 +
dev-libs/wayland/wayland-1.18.91.ebuild | 85 +++++++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/dev-libs/wayland/Manifest b/dev-libs/wayland/Manifest
index c2c407e3dfb..fdbfcb68cac 100644
--- a/dev-libs/wayland/Manifest
+++ b/dev-libs/wayland/Manifest
@@ -1 +1,2 @@
DIST wayland-1.18.0.tar.xz 453968 BLAKE2B
ee5b3f9dff07fda85b4d64bc753aff28c4a012184eb3a4bae8e3be0fb74324f12e9ea4e3dc049e06a11c7302e3c6b1e53e49109c814381641568d92b5572eed9
SHA512
e30199e30c2bbd361ee695b4f3f7a4e264f10ed8f46f2c90762b5739fc578ae757dc39aa0258d8fbf0ed418553470bccd4b2730ed9705481cfccdab5de96a8fc
+DIST wayland-1.18.91.tar.xz 453500 BLAKE2B
6e234fa637bf4329fcf37c7372e3d02a50742812e2f61477ce302da4c2a1b9377874b0e4e2da899c726ede417081c4d459e40863169352825dd38a8fe0dcf267
SHA512
5ab770c87507e8248aa5197a253f27f3cca984bf1a69c52b438e9aaf512e6b0d841321f81c20643a49ef62eeb6c8b3a6391eadfee5c8822c3cf0d63bb0a8e0f8
diff --git a/dev-libs/wayland/wayland-1.18.91.ebuild
b/dev-libs/wayland/wayland-1.18.91.ebuild
new file mode 100644
index 00000000000..c3d2b584f4c
--- /dev/null
+++ b/dev-libs/wayland/wayland-1.18.91.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/wayland.git"
+ inherit git-r3
+else
+ SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+fi
+inherit meson multilib-minimal
+
+DESCRIPTION="Wayland protocol libraries"
+HOMEPAGE="https://wayland.freedesktop.org/
https://gitlab.freedesktop.org/wayland/wayland"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc"
+
+BDEPEND="
+ ~dev-util/wayland-scanner-${PV}[$MULTILIB_USEDEP]
+ virtual/pkgconfig
+ doc? (
+ >=app-doc/doxygen-1.6[dot]
+ app-text/xmlto
+ >=media-gfx/graphviz-2.26.0
+ )
+"
+DEPEND="
+ >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
+ dev-libs/libxml2:=
+ >=dev-libs/libffi-3.0.13-r1:=[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+meson_multilib() {
+ if multilib_is_native_abi; then
+ echo true
+ else
+ echo false
+ fi
+}
+
+meson_multilib_native_use() {
+ if multilib_is_native_abi && use "$1"; then
+ echo true
+ else
+ echo false
+ fi
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Ddocumentation=$(meson_multilib_native_use doc)
+ -Ddtd_validation=$(meson_multilib)
+ -Dlibraries=true
+ -Dscanner=false
+ )
+ meson_src_configure
+}
+
+multilib_src_compile() {
+ meson_src_compile
+}
+
+multilib_src_test() {
+ meson_src_test
+}
+
+src_test() {
+ # We set it on purpose to only a short subdir name, as socket paths are
+ # created in there, which are 108 byte limited. With this it hopefully
+ # barely fits to the limit with /var/tmp/portage/$CAT/$PF/temp/x
+ export XDG_RUNTIME_DIR="${T}"/x
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+ multilib-minimal_src_test
+}
+
+multilib_src_install() {
+ meson_src_install
+}